Page MenuHomePhabricator

'Today's reopened points' gone missing
Open, LowestPublic

Description

cf. line 66 in https://gerrit.wikimedia.org/r/#/c/282675/1/src/storage/SprintColumnTransaction.php - for some reason, the reopened-points bit has just completely gone missing in the last update to sync with upstream stable. Is there any reason for this, or just inadvertent?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 10:41 AM
fooishbar closed this task as Invalid.Apr 18 2016, 12:14 PM

Actually, sorry, this is fine; it seems like it's all driven from reopened tasks now.

fooishbar reopened this task as Open.Apr 20 2016, 7:39 AM

No, sorry, I take that back, it is broken.

I had originally thought including reopened points broke the first day, since we carry a patch to track task status based on status rather than column names. This had a bug which caused it to see all newly-opened tasks as reopened.

After fixing that, I now see reopened tasks having no effect on the burndown chart, until that line is uncommented.

@fooishbar Thanks for the report. The reopened points never really worked properly, so I commented it out. The points remaining total incremented the reopened points twice, because a reopened task has multiple transactions for an "open" event in the time frame. I would have to make the logic to deduct reopened points from new task points on a per task basis to fix it (rather difficult to do with Phabricator's RDBMS madness). Rather than having a screwed up points remaining, it seems just easier to not aggregate reopened points at all. The sprint extension is not really a priority for me right now, so I am not sure that this fix will happen soon.

Rbalik added a subscriber: Rbalik.Sep 26 2016, 9:07 PM

Possibly related to this (I can open a separate task if you want):
If you drop a task in Done accidentally and then move it out, the task's points are still factored into "Points Closed Today"

Aklapper triaged this task as Lowest priority.Feb 26 2017, 6:33 PM
Aklapper removed Christopher as the assignee of this task.Jan 3 2020, 12:24 AM
Aklapper added a subscriber: Christopher.

Resetting assignee as this is not actively being worked on (feel free to correct me if I am wrong).